MockNetworkNotarySpec
Keywords: net.corda.testing.node.MockNetworkNotarySpec class
Date: 2023-09-18

net.corda.testing.node

## Class MockNetworkNotarySpec

- net.corda.testing.node.MockNetworkNotarySpec

-     public class MockNetworkNotarySpec

  The spec for a notary which will used by the `class MockNetwork` to automatically start a notary node. This notary will become part of the network parameters used by all the nodes.

  See Also:
    `class MockNetwork`

- - ### Constructor Detail

    - #### MockNetworkNotarySpec

          @JvmOverloads
          public MockNetworkNotarySpec(@NotNull
                                                     CordaX500Name name,
                                                     boolean validating)

      The spec for a notary which will used by the `class MockNetwork` to automatically start a notary node. This notary will become part of the network parameters used by all the nodes.

      Parameters:
        `name` - The name of the notary node.
        `validating` - Boolean for whether the notary is validating or non-validating.
      See Also:
        `class MockNetwork`

    - #### MockNetworkNotarySpec

          @JvmOverloads
          public MockNetworkNotarySpec(@NotNull
                                                     CordaX500Name name)

      The spec for a notary which will used by the `class MockNetwork` to automatically start a notary node. This notary will become part of the network parameters used by all the nodes.

      Parameters:
        `name` - The name of the notary node.
      See Also:
        `class MockNetwork`

    - #### MockNetworkNotarySpec

          public MockNetworkNotarySpec(@NotNull
                                       CordaX500Name name,
                                       boolean validating,
                                       @Nullable
                                       java.lang.String className)

  - ### Method Detail

    - #### getClassName

          @Nullable
          public java.lang.String getClassName()

      String the optional name of a notary service class to load. If null, a builtin notary is loaded.

    - #### setClassName

          public void setClassName(@Nullable
                                   java.lang.String p)

      String the optional name of a notary service class to load. If null, a builtin notary is loaded.

    - #### getName

          @NotNull
          public CordaX500Name getName()

      The name of the notary node.

    - #### getValidating

          public boolean getValidating()

      Boolean for whether the notary is validating or non-validating.

    - #### component1

          @NotNull
          public CordaX500Name component1()

      The name of the notary node.

    - #### component2

          public boolean component2()

      Boolean for whether the notary is validating or non-validating.

    - #### copy

          @NotNull
          public MockNetworkNotarySpec copy(@NotNull
                                                     CordaX500Name name,
                                                     boolean validating)

      The spec for a notary which will used by the `class MockNetwork` to automatically start a notary node. This notary will become part of the network parameters used by all the nodes.

      See Also:
        `class MockNetwork`

    - #### toString

          @NotNull
          public java.lang.String toString()

      The spec for a notary which will used by the `class MockNetwork` to automatically start a notary node. This notary will become part of the network parameters used by all the nodes.

      See Also:
        `class MockNetwork`

    - #### hashCode

          public int hashCode()

      The spec for a notary which will used by the `class MockNetwork` to automatically start a notary node. This notary will become part of the network parameters used by all the nodes.

      See Also:
        `class MockNetwork`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      The spec for a notary which will used by the `class MockNetwork` to automatically start a notary node. This notary will become part of the network parameters used by all the nodes.

      See Also:
        `class MockNetwork`